From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 4 Feb 2025 16:48:56 +0100
Subject: Fix invalid escape sequence

---
 poshc2/client/reporting/HTML.py       | 25 -------------------------
 resources/modules/linuxprivchecker.py |  8 ++++----
 2 files changed, 4 insertions(+), 29 deletions(-)

diff --git a/poshc2/client/reporting/HTML.py b/poshc2/client/reporting/HTML.py
index 5c55575..40f84c6 100644
--- a/poshc2/client/reporting/HTML.py
+++ b/poshc2/client/reporting/HTML.py
@@ -53,31 +53,6 @@ def get_table_data(table):
     return json.dumps(output)
 
 
-# TODO test with postgre
-"""
-def table_data_postgres(frame, table_name):
-    keys = ReportKeys[table_name].value
-    output = []
-    for row in frame:
-        rowObj = {}
-        for idx, key in enumerate(keys):
-            rowObj[key] = str(row[idx]).replace("</script>", "<\/script>")
-        output.append(rowObj)
-    return json.dumps(output)
-
-
-def table_data_sqlite(frame):
-    keys = frame[0].keys()
-    output = []
-    for row in frame:
-        rowObj = {}
-        for key in keys:
-            rowObj[key] = str(row[key]).replace("</script>", "<\/script>")
-        output.append(rowObj)
-    return json.dumps(output)
-"""
-
-
 def graphviz():
     GV = f"""
 digraph "PoshC2" {{
diff --git a/resources/modules/linuxprivchecker.py b/resources/modules/linuxprivchecker.py
index b1143e1..415228e 100644
--- a/resources/modules/linuxprivchecker.py
+++ b/resources/modules/linuxprivchecker.py
@@ -138,10 +138,10 @@ if "root" in userInfo["ID"]["results"][0]:
 # File/Directory Privs
 print("[*] ENUMERATING FILE AND DIRECTORY PERMISSIONS/CONTENTS...\n")
 
-fdPerms = {"WWDIRSROOT":{"cmd":"find / \(-wholename '/home/homedir*' -prune \) -o \(-type d -perm -0002 \) -exec ls -ld '{}' ';' 2>/dev/null | grep root", "msg":"World Writeable Directories for User/Group 'Root'", "results":results},
-	"WWDIRS":{"cmd":"find / \(-wholename '/home/homedir*' -prune \) -o \(-type d -perm -0002 \) -exec ls -ld '{}' ';' 2>/dev/null | grep -v root", "msg":"World Writeable Directories for Users other than Root", "results":results},
-	"WWFILES":{"cmd":"find / \(-wholename '/home/homedir/*' -prune -o -wholename '/proc/*' -prune \) -o \(-type f -perm -0002 \) -exec ls -l '{}' ';' 2>/dev/null", "msg":"World Writable Files", "results":results},
-	"SUID":{"cmd":"find / \(-perm -2000 -o -perm -4000 \) -exec ls -ld {} \; 2>/dev/null", "msg":"SUID/SGID Files and Directories", "results":results},
+fdPerms = {"WWDIRSROOT":{"cmd":r"find / \(-wholename '/home/homedir*' -prune \) -o \(-type d -perm -0002 \) -exec ls -ld '{}' ';' 2>/dev/null | grep root", "msg":"World Writeable Directories for User/Group 'Root'", "results":results},
+	"WWDIRS":{"cmd":r"find / \(-wholename '/home/homedir*' -prune \) -o \(-type d -perm -0002 \) -exec ls -ld '{}' ';' 2>/dev/null | grep -v root", "msg":"World Writeable Directories for Users other than Root", "results":results},
+	"WWFILES":{"cmd":r"find / \(-wholename '/home/homedir/*' -prune -o -wholename '/proc/*' -prune \) -o \(-type f -perm -0002 \) -exec ls -l '{}' ';' 2>/dev/null", "msg":"World Writable Files", "results":results},
+	"SUID":{"cmd":r"find / \(-perm -2000 -o -perm -4000 \) -exec ls -ld {} \; 2>/dev/null", "msg":"SUID/SGID Files and Directories", "results":results},
 	"ROOTHOME":{"cmd":"ls -ahlR /root 2>/dev/null", "msg":"Checking if root's home folder is accessible", "results":results}
 	}
 
